PGASetMaxSimilarityValue(8)

NAME
PGASetMaxSimilarityValue - Specifiy the maximum percent of homogeneity of the population before stopping.

DESCRIPTION
The similarity measure is the same evaluation function value. The default value is 95 percent. The stopping rule PGA_STOP_TOOSIMILAR must have been set by PGASetStoppingRuleType for this function call to have any effect.

INPUT PARAMETERS
ctx - context variable
max_similarity
    - the maximum percent of the population that can share the same evaluation function value

OUTPUT PARAMETERS
none

SYNOPSIS
#include "pgapack.h"
void  PGASetMaxSimilarityValue(ctx, max_similarity)
PGAContext *ctx
int max_similarity

LOCATION
stop.c

EXAMPLE
Example:
PGAContext *ctx;
:
PGASetMaxSimilarityValue(ctx,99);